Subject: Re: bug#56420: Link to Info manual from describe-package help

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 11 Jul 2022 11:47:15 +0200

Stefan Kangas <[email-masked]> writes:

>> If you add it the link, I can add code to recognise it.  😀
>
> Now added (to ert.el)!

You have

Info manual `(ert) Top'

in the doc, but the magical phrase is "info node", according to
`help-xref-info-regexp'.  We could add "manual" as an alternative...

"\\<[Ii]nfo[ \t\n]+\\(node\\|anchor\\)[ \t\n]+['`‘]\\([^'’]+\\)['’]"

But this reminds me -- why are we so strict about the Info links,
anyway?  Could `(foo) Bar' in a doc string be anything but a manual
reference?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no